### Hierarchy

- ProxyConstructor

## Index

### Constructors

- constructor

### Methods

- revocable

## Constructors

### constructor

- new ProxyConstructor<T>(target: T, handler: ProxyHandler<T>): T

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:39

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### target: T

  - ##### handler: ProxyHandler<T>

  #### Returns T

## Methods

### revocable

- revocable<T>(target: T, handler: ProxyHandler<T>): object

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:39

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### target: T

  - ##### handler: ProxyHandler<T>

  #### Returns object

  - ##### proxy: T

  - ##### revoke: function

    - - (): void

      - #### Returns void

Generated using TypeDoc